#if !defined(AFX_OptionDetails_H__E138530D_BAB5_472F_BAB9_DAE6E06CFEAC__INCLUDED_)
#define AFX_OptionDetails_H__E138530D_BAB5_472F_BAB9_DAE6E06CFEAC__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// OptionDetails.h : header file
//
#include "utils.h"
#include "SortListCtrl.h"

/////////////////////////////////////////////////////////////////////////////
// COptionDetails dialog

class COptionDetails : public CDialog
{
// Construction
public:
	void ReadBoolSettings();
	void ReadSettings();
	void FillComboSetting();
	void FillComboModule();
	void SearchBoolValue();
	void SearchValue();
	COptionDetails(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(COptionDetails)
	enum { IDD = IDD_OPTION_DETAILS };
	CComboBox	m_wndComboSetting;
	CComboBox	m_wndComboModule;
	CComboBox	m_wndComboValue;
	CComboBox	m_wndComboBool;
	CSortListCtrl	m_wndListSetting;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(COptionDetails)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(COptionDetails)
	virtual BOOL OnInitDialog();
	afx_msg void OnSearchvalue();
	afx_msg void OnSearchbool();
	afx_msg void OnSelchangeCombomodule();
	afx_msg void OnSelchangeCombosetting();
	afx_msg void OnClearlist();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_OptionDetails_H__E138530D_BAB5_472F_BAB9_DAE6E06CFEAC__INCLUDED_)
