// OptionHelp.cpp : implementation file
//

#include "stdafx.h"
#include "base.h"
#include "OptionHelp.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// COptionHelp dialog


COptionHelp::COptionHelp(CWnd* pParent /*=NULL*/)
	: CDialog(COptionHelp::IDD, pParent)
{
	//{{AFX_DATA_INIT(COptionHelp)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}

void COptionHelp::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(COptionHelp)
	DDX_Control(pDX, IDC_LSSDK, m_wndLSSdk);
	DDX_Control(pDX, IDC_LSMODS, m_wndLSMods);
	DDX_Control(pDX, IDC_LSFAQ, m_wndLSFaq);
	DDX_Control(pDX, IDC_LSDOCS, m_wndLSDocs);
	DDX_Control(pDX, IDC_EXPLORER, m_wndExplorer);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(COptionHelp, CDialog)
	//{{AFX_MSG_MAP(COptionHelp)
	ON_BN_CLICKED(IDC_BTNVIEW, OnBtnview)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// COptionHelp message handlers

BOOL COptionHelp::OnInitDialog() 
{
	CDialog::OnInitDialog();	
	LoadText();
	return TRUE;
}

void COptionHelp::LoadText()
{
	m_wndExplorer.Navigate(utils.toolDir + "lscpfiles\\help\\help.html", NULL, NULL, NULL, NULL);
}

void COptionHelp::ViewHelpFile(CString helpfile)
{
	ShellExecute(m_hWnd, "open", utils.litestepDir + "docs\\" + helpfile, NULL, NULL, SW_SHOWNORMAL);
}

void COptionHelp::OnBtnview() 
{
	if(m_wndLSDocs.GetCheck())
		ViewHelpFile("lsdocs.chm");
	if(m_wndLSFaq.GetCheck())
		ViewHelpFile("lsfaq.chm");
	if(m_wndLSMods.GetCheck())
		ViewHelpFile("lsmods.chm");
	if(m_wndLSSdk.GetCheck())
		ViewHelpFile("lssdk.chm");
}
