#if !defined(AFX_OptionTheme_H__A64A129B_3E36_49E6_92C6_07495399D5E8__INCLUDED_)
#define AFX_OptionTheme_H__A64A129B_3E36_49E6_92C6_07495399D5E8__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// OptionTheme.h : header file
//
#include "SortListCtrl.h"
#include "Utils.h"
#include "enbitmap.h" //for image preview

/////////////////////////////////////////////////////////////////////////////
// COptionTheme dialog

class COptionTheme : public CDialog
{
public:
	void DrawPreview(CDC &dc);
	void LoadThemes();

	COptionTheme(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(COptionTheme)
	enum { IDD = IDD_OPTION_THEMESWITHCER };
	CHListBox	m_wndThemesList;
	CStatic	m_wndInfoimage;
	CSortListCtrl m_wndListThemeInfo;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(COptionTheme)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	CFont m_font1;
	CBitmap m_bitmap; //preview image

	// Generated message map functions
	//{{AFX_MSG(COptionTheme)
	virtual BOOL OnInitDialog();
	afx_msg void OnSwitch();
	afx_msg void OnReadme();
	afx_msg void OnDblclkList1();
	afx_msg void OnSelchangeList1();
	afx_msg void OnPaint();
	afx_msg void OnRefresh();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_OptionTheme_H__A64A129B_3E36_49E6_92C6_07495399D5E8__INCLUDED_)
