// StandaloneInstaller.cpp : implementation file
//

#include "stdafx.h"
#include "base.h"
#include "StandaloneInstaller.h"
#include "ThemeInstaller.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

extern CbaseApp theApp;

UINT InstallFile(LPVOID pParam);

/////////////////////////////////////////////////////////////////////////////
// CStandaloneInstaller dialog


CStandaloneInstaller::CStandaloneInstaller(CWnd* pParent /*=NULL*/)
	: CDialog(CStandaloneInstaller::IDD, pParent)
{
	//{{AFX_DATA_INIT(CStandaloneInstaller)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	pThread = NULL;
}


void CStandaloneInstaller::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CStandaloneInstaller)
	DDX_Control(pDX, IDC_LOGLIST, m_Log);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CStandaloneInstaller, CDialog)
	//{{AFX_MSG_MAP(CStandaloneInstaller)
	ON_WM_PAINT()
	ON_WM_SHOWWINDOW()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CStandaloneInstaller message handlers

BOOL CStandaloneInstaller::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	return TRUE;
}

void CStandaloneInstaller::OnPaint() 
{
	CPaintDC dc(this); // device context for painting	
}

void CStandaloneInstaller::OnShowWindow(BOOL bShow, UINT nStatus) 
{
	CDialog::OnShowWindow(bShow, nStatus);
	static bool bFirstRun = true;
	if (bFirstRun)
	{
		pThread = AfxBeginThread(InstallFile, this, THREAD_PRIORITY_NORMAL);
		bFirstRun = false;
	}
}

//////////////////////////////////////////////////////////////////////////////////
//
// Installing...
//
UINT InstallFile(LPVOID pParam)
{
	CStandaloneInstaller *dlg = (CStandaloneInstaller*)pParam;
	if (themeinstaller.Install(theApp.zip,dlg->m_Log,false))
	{
		dlg->PostMessage(WM_QUIT);
	}
	return 1;
}
